Bug 735376 - [abrt] pdfshuffler-0.5.1-1.fc15: pdf.py:751:read:ValueError: too many values to unpack
Summary: [abrt] pdfshuffler-0.5.1-1.fc15: pdf.py:751:read:ValueError: too many values ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfshuffler
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:57c84c41c8a388e2103f285114b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 14:30 UTC by Boricua
Modified: 2012-03-21 18:43 UTC (History)
2 users (show)

Fixed In Version: pdfshuffler-0.6.0-0.2.20120302svn64.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 02:33:16 UTC


Attachments (Terms of Use)

Description Boricua 2011-09-02 14:30:28 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/bin/pdfshuffler
comment:        Crash takes place when trying to save the new document.
component:      pdfshuffler
executable:     /usr/bin/pdfshuffler
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        pdfshuffler-0.5.1-1.fc15
reason:         pdf.py:751:read:ValueError: too many values to unpack
time:           Fri Sep  2 10:24:06 2011
uid:            500
username:       Francisco

backtrace:
:pdf.py:751:read:ValueError: too many values to unpack
:
:Traceback (most recent call last):
:  File "/usr/bin/pdfshuffler", line 417, in choose_export_pdf_name
:    self.export_to_file(file_out)
:  File "/usr/bin/pdfshuffler", line 438, in export_to_file
:    pdfdoc_inp = PdfFileReader(file(pdfdoc.copyname, 'rb'))
:  File "/usr/lib/python2.7/site-packages/pyPdf/pdf.py", line 374, in __init__
:    self.read(stream)
:  File "/usr/lib/python2.7/site-packages/pyPdf/pdf.py", line 751, in read
:    offset, generation = line[:16].split(" ")
:ValueError: too many values to unpack
:
:Local variables in innermost frame:
:cnt: 0
:stream: <open file '/tmp/tmph9GfcWpdfshuffler/01_Scanned Document.pdf', mode 'rb' at 0x105cd20>
:self: <pyPdf.pdf.PdfFileReader object at 0x1118b90>
:startxref: 263906
:num: 1
:x: 'x'
:line: '0000000015 0000 n\n00'
:ref: 'ref\n'
:size: 6

Comment 1 Rafał Mużyło 2011-09-29 17:43:38 UTC
Most likely it's the bug fixed here: https://bugs.launchpad.net/ubuntu/+source/simple-scan/+bug/741628.

Comment 2 Fedora Update System 2012-03-02 10:54:33 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc16

Comment 3 Fedora Update System 2012-03-02 10:55:37 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc15

Comment 4 Fedora Update System 2012-03-02 10:56:59 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc17

Comment 5 Boricua 2012-03-02 12:45:12 UTC
Display issue seems to be fixed. Good job!

Comment 6 Fedora Update System 2012-03-05 20:55:07 UTC
Package pdfshuffler-0.6.0-0.2.20120302svn64.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pdfshuffler-0.6.0-0.2.20120302svn64.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2846/pdfshuffler-0.6.0-0.2.20120302svn64.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-03-21 02:33:16 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-21 02:38:47 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-03-21 18:43:35 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.